Package org.eclipse.graphiti.ui.internal.figures

# Class GFMultilineText

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.graphiti.ui.internal.figures.GFMultilineText

All Implemented Interfaces:
  `org.eclipse.draw2d.IFigure`

public class GFMultilineText extends org.eclipse.draw2d.Figure

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch, org.eclipse.draw2d.Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`GFMultilineText(IPictogramElementDelegate pictogramElementDelegate, MultiText multiText)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getHorizontalAligment()`
`String`
`getText()`
Returns the text inside the TextFlow.
`int`
`getVerticalAligment()`
`void`
`setHorizontalAligment(int value)`
Sets the horitontal aligment of the block.
`void`
`setSuppressText(boolean suppressText)`
`void`
`setText(String newText)`
Sets the text of the TextFlow to the given value.
`void`
`setVerticalAligment(int value)`
Sets the vertical aligment of the block.

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, handleMouseWheelScrolled, hasFocus, internalGetEventDispatcher, internalGetLightweightSystem, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useDoublePrecision, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GFMultilineText

public GFMultilineText(IPictogramElementDelegate pictogramElementDelegate, MultiText multiText)

## Method Details

### getText

public String getText()
Returns the text inside the TextFlow.

Returns:
  the text flow inside the text.

### setText

public void setText(String newText)
Sets the text of the TextFlow to the given value.

Parameters:
  `newText` - the new text value.

### setHorizontalAligment

public void setHorizontalAligment(int value)
Sets the horitontal aligment of the block. Valid values are:

- `NONE` - (default) Alignment is inherited from parent. If a parent is not found then LEFT is used.
- `PositionConstants.LEFT` - Alignment is with leading edge
- `PositionConstants.RIGHT` - Alignment is with trailing edge
- `PositionConstants.CENTER`
- `PositionConstants.ALWAYS_LEFT` - Left, irrespective of orientation
- `PositionConstants.ALWAYS_RIGHT` - Right, irrespective of orientation

Parameters:
  `value` - the aligment
See Also:
  - `getHorizontalAligment()`

### getHorizontalAligment

public int getHorizontalAligment()

### setVerticalAligment

public void setVerticalAligment(int value)
Sets the vertical aligment of the block. Valid values are:

- `NONE` - (default) Alignment is inherited from parent. If a parent is not found then TOP is used.
- `PositionConstants.TOP`
- `PositionConstants.BOTTOM`
- `PositionConstants.MIDDLE`

Parameters:
  `value` - the aligment
See Also:
  - `getVerticalAligment()`

### getVerticalAligment

public int getVerticalAligment()

### setSuppressText

public void setSuppressText(boolean suppressText)